<template>

  <el-dialog
    title="播放器"
    :visible.sync="show"
    width="50%"
    :close-on-click-modal="false"
    :before-close="handleClose" append-to-body>

    <vue-core-video-player :src="url" :loop="false"></vue-core-video-player>

  </el-dialog>

</template>

<script>

  export default {
    props: {
      show: Boolean,
      url: [String, Object]
    },
    data() {
      return {

      }
    },

    methods: {
      handleClose() {
        this.$emit('close')
      }
    }

  }

</script>

<style scoped>
</style>
